org.wso2.carbon.device.mgt.mobile.windows.api.operations

## Class SyncmlHeader

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.operations.SyncmlHeader

-     public class SyncmlHeader
      extends Object

  Represents the header details of a syncml.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncmlHeader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildSyncmlHeaderElement(Document doc, Element rootElement)`
    `CredentialTag` | `getCredential()`
    `String` | `getHexadecimalSessionId()`
    `int` | `getMsgID()`
    `int` | `getSessionId()`
    `SourceTag` | `getSource()`
    `TargetTag` | `getTarget()`
    `void` | `setCredential(CredentialTag credential)`
    `void` | `setHexadecimalSessionId(String hexSessionId)`
    `void` | `setMsgID(int msgID)`
    `void` | `setSessionId(int sessionId)`
    `void` | `setSource(SourceTag source)`
    `void` | `setTarget(TargetTag target)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SyncmlHeader

          public SyncmlHeader()

  - ### Method Detail

    - #### getHexadecimalSessionId

          public String getHexadecimalSessionId()

    - #### setHexadecimalSessionId

          public void setHexadecimalSessionId(String hexSessionId)

    - #### getCredential

          public CredentialTag getCredential()

    - #### setCredential

          public void setCredential(CredentialTag credential)

    - #### getSessionId

          public int getSessionId()

    - #### setSessionId

          public void setSessionId(int sessionId)

    - #### getMsgID

          public int getMsgID()

    - #### setMsgID

          public void setMsgID(int msgID)

    - #### getTarget

          public TargetTag getTarget()

    - #### setTarget

          public void setTarget(TargetTag target)

    - #### getSource

          public SourceTag getSource()

    - #### setSource

          public void setSource(SourceTag source)

    - #### buildSyncmlHeaderElement

          public void buildSyncmlHeaderElement(Document doc,
                                      Element rootElement)

Copyright © 2017 WSO2. All rights reserved.